#!/bin/sh
#Cintiq Companion  -  map keys for blender
#Runtime only - restart after hot plug
# hardware key num:
#
#   2
#   3
#   8
#
#   13
#14  1 12  
#   15
#   
#   9
#  10
#  13
#
# help with http://bartssolutions.blogspot.com/2015/02/how-to-configure-wacom-intuos-express.html

#$ xsetwacom --list devices
#Wacom ISDv5 326 Finger touch    	id: 20	type: TOUCH     
#Wacom ISDv5 325 Pen stylus      	id: 21	type: STYLUS    
#Wacom ISDv5 325 Pen eraser      	id: 22	type: ERASER    
#Wacom ISDv5 325 Pad pad         	id: 23	type: PAD  


DEVICE="Wacom ISDv5 325 Pad"
STYLUS="$DEVICE stylus"
ERASER="$DEVICE eraser"
PAD="$DEVICE pad"

#Klawisz 2  => [CTRL]:
xsetwacom set "$PAD" Button 2 "key ctrl"
#Klawisz 3  => [SHIFT]:
xsetwacom set "$PAD" Button 3 "key shift"
#Klawisz 8 => [spacja]:
xsetwacom set "$PAD" Button 8 "key space"
#Klawisz 9 => gnome-pie:
xsetwacom set "$PAD" Button 9 "key ctrl alt a"
#Klawisz 10 => F3:
xsetwacom set "$PAD" Button 10 key F3

# set brightness/contrast/gain level/black level  
# help with https://www.davidrevoy.com/article710/cintiqs-on-gnu-linux-how-to-setup-brightness-contrast-and-more

#brightness = 100 (max)
sudo ddcutil --mfg=WAC setvcp 10 100

#video black level RGB = 0 (min)
sudo ddcutil --mfg=WAC setvcp 6C 0
sudo ddcutil --mfg=WAC setvcp 6E 0
sudo ddcutil --mfg=WAC setvcp 70 0

#video gain level RGB = 70 (max = 100)
sudo ddcutil --mfg=WAC setvcp 16 70
sudo ddcutil --mfg=WAC setvcp 18 70
sudo ddcutil --mfg=WAC setvcp 1A 70
