# install docker in live-persistent env.
sudo mkdir /live/boot-dev/Live-usb-storage/docker
sudo ln -sf /live/boot-dev/Live-usb-storage/docker /var/lib/docker
sudo apt update
sudo apt install -y ca-certificates gnupg-agent apt-transport-https curl software-properties-common -y
curl -fsSL https://download.docker.com/linux/debian/gpg | sudo apt-key add -
sudo add-apt-repository "deb [arch=amd64] https://download.docker.com/linux/debian $(lsb_release -cs) stable"
sudo apt update
sudo apt install -y cgroupfs-mount
sudo apt install -y docker-ce docker-ce-cli containerd.io
sudo service docker start
sudo update-rc.d docker enable
sudo usermod -aG docker $USER
# newgrp $USER
sudo apt install -y docker-compose
# install compose V2
sudo apt install -y docker-compose-plugin
# portainer in swarm mode
ip=$(hostname -I | awk '{print $1}')
sudo docker swarm init --advertise-addr $ip
sudo docker network create --scope swarm --attachable  -d 'overlay'  web
sudo docker stack deploy --compose-file=portainer-agent-stack-swarm.yml portainer