#!/bin/sh
#custom ubuntu studio 20.04.02 (copy from 19.10 script)

add-apt-repository $1 ppa:mkusb/ppa
add-apt-repository $1 ppa:unit193/encryption
add-apt-repository $1 ppa:thomas-schiex/blender
add-apt-repository $1 ppa:sebastian-stenzel/cryptomator
add-apt-repository $1 ppa:stefansundin/truecrypt
add-apt-repository $1 ppa:cubic-wizard/release
add-apt-repository $1 ppa:inkscape.dev/stable
apt-get update $1
apt-get upgrade $1
apt-get install $1 mc
apt-get install $1 telegram-desktop
apt-get install $1 ecryptfs-utils cryptsetup
apt-get install $1 cpufrequtils
apt-get install $1 linux-tools-common
#apt-get install $1 linux-tools-5.3.0-18-lowlatency
apt-get install $1 clonezilla
apt-get install --install-recommends $1 mkusb mkusb-nox usb-pack-efi
apt-get install $1 veracrypt
apt-get install $1 truecrypt
apt-get install $1 libc6 mono-runtime mono-utils libmono-system-core4.0-cil libmono-system-windows-forms4.0-cil openvpn stunnel4 curl
apt-get install $1 flameshot
apt-get install $1 docker.io
#create docker  config file for persistent live usage  /etc/docker/daemon.json  :
echo '{  "storage-driver": "devicemapper" }' > /etc/docker/daemon.json
#enable docker for non root user
groupadd docker
usermod -aG docker ubuntu-studio
apt-get install $1 qgis
apt-get install $1 apache2
apt-get install $1 qgis-server libapache2-mod-fcgid
apt-get install $1 cmdtest
apt-get install $1 yarn
apt-get install $1 npm
apt-get install $1 lib32stdc++6
apt-get install $1 libusb-0.1-4
apt-get install $1 apt-file
apt-get install $1 p7zip
apt-get install $1 linuxbrew-wrapper
apt-get install $1 sqlite3
apt-get install $1 gufw
apt-get install $1 jbigkit-bin inotify-tools
# FFmpeg frontend
apt-get install $1 winff
apt-get install $1 chromium-browser
apt-get install $1 python-certbot-apache
# 3d mouse driver 
apt-get install $1 spacenavd
apt-get install $1 mkvtoolnix
snap install signal-desktop
# last blender compilation (now 2.82 alpha) from ppa
apt-get install $1 blender
apt-get install $1 traceroute
apt-get install $1 gnome-startup-applications
apt-get install $1 jupyter-core
apt-get install $1 krusader
#dicom medical file viewer
apt-get install $1 aeskulap
apt-get install $1 unrar
apt-get install $1 indicator-cpufreq
apt-get install $1 rosegarden
apt-get install $1 baobab
apt-get install $1 exiv2
apt-get install $1 torbrowser-launcher
apt-get install $1 tigervnc-standalone-server tigervnc-xorg-extension tigervnc-viewer
#dvbt usb tuner
apt-get install $1 kaffeine
apt-get install $1 josm
apt-get install $1 cryptomator
apt-get install $1 cups-pdf
apt-get install $1 conky-all
# Handwritten Notes or Annotate PDFs
apt-get install $1 xournalpp
apt-get install $1 cubic
#encrypted notes - instal manually from: 
#https://github.com/turtl/desktop/releases/download/v0.7.2.5/turtl-0.7.2.5-linux64.tar.bz2
apt-get install $1 virtualbox
apt-get install $1 solaar
apt-get install $1 inkscape
# scrcpy - remote android desktop
apt-get install $1 scrcpy

# preseed language / keyboard settings: https://answers.launchpad.net/cubic/+question/678880
# wifi mac random address config
cp ./30-randomize-mac-address.conf /etc/NetworkManager/conf.d
